import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ForwardingServlet extends HttpServlet 
{

    public void doGet(HttpServletRequest request, HttpServletResponse response) 
        throws ServletException, IOException 
    {
        String servletID = (String) request.getAttribute("servletID");
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();

        out.println("<HTML>");
        out.println("<HEAD>");
        out.println("<TITLE>");
        out.println("Using Sessions");
        out.println("</TITLE>");
        out.println("</HEAD>");
        out.println("<BODY>");
        out.println("<H1>Using Forwards and Includes</H1><BR>");

        if (servletID != null) {
            if (servletID.equals("1")) {
                out.println("Forwarding was successful!<BR>");
            }
            if (servletID.equals("2")) {
                out.println("Including was successful!<BR>");
            }
        } else {
            out.println("This example must be invoked with ServletDispatcherWithResponse or ServletDispatcher");
        }

        out.println("</BODY>");
        out.println("</HTML>");
    } 
}